       module slpw
       integer, allocatable :: iBCg(:)
       real*8, allocatable :: BCg(:,:)
       real*8, allocatable :: BCtmpg(:,:)
       real*8, allocatable :: wlnorm(:,:,:)
       integer, allocatable :: idxslpw(:)
       integer, allocatable :: mpslpw(:,:)
       integer nslpwnd
       end module
